Bug 1285547 - [RFE] pam_lastlog unable to reset locked account
[RFE] pam_lastlog unable to reset locked account
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: shadow-utils (Show other bugs)
7.2
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Tomas Mraz
Stefan Kremen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 17:38 EST by Steve Grubb
Modified: 2016-11-03 23:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: shadow-utils-4.1.5.1-19.el7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 23:41:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2322 normal SHIPPED_LIVE shadow-utils bug fix and enhancement update 2016-11-03 09:43:15 EDT

  None (edit)
Description Steve Grubb 2015-11-25 17:38:23 EST
Description of problem:
When a system is configured to use pam_lastlog to lock inactive accounts, there doesn't appear to be a designed way to unlock or reset the account without changing the configuration or deleting the lastlog file.

It would be very helpful to have a utility that can reset the lastlog entry for a specified user leaving other system users untouched. The utility should also record an audit event (AUDIT_ACCT_UNLOCK) when performing the action.
Comment 1 Tomas Mraz 2016-01-18 10:25:30 EST
I'm currently planning to implement this functionality in the lastlog utility of shadow-utils.
Comment 2 Tomas Mraz 2016-02-03 08:56:58 EST
The build shadow-utils-4.2.1-6.fc24 in Rawhide contains lastlog command with the functionality added including the auditing.
Comment 8 errata-xmlrpc 2016-11-03 23:41:08 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2322.html

Note You need to log in before you can comment on or make changes to this bug.